%define name    shotgun
%define version 0.8.0
%define option  0
%define svn     r81625
%if %option
%define rel 0.%option.2
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: xmpp client/library which uses EFL
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Patch0: shotgun-0000-fix-desktop.patch
URL: http://trac.enlightenment.org/e/wiki/Eina
BuildRequires: eina-devel
BuildRequires: ecore-devel
BuildRequires: efx-devel
BuildRequires: edbus-devel
BuildRequires: e_dbus-devel
BuildRequires: e-devel


%description
%name is an xmpp client/library which uses EFL. it requires core EFL.
The GUI requires elementary and efx

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif
%patch0 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS README
%{_bindir}/%name
%{_iconsdir}/hicolor/128x128/apps/shotgun.png
%{_iconsdir}/hicolor/48x48/apps/shotgun.png
%{_iconsdir}/hicolor/64x64/apps/shotgun.png
%{_libdir}/enlightenment/modules/sawed-off/
%{_datadir}/%name/default.edj
%{_datadir}/applications/%name.desktop

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*



%changelog

* Tue May 07 2013 trem <trem> 0.8.0-0.r81625.2.mga3
+ Revision: 412583
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 trem <trem> 0.8.0-0.r81625.1.mga3
+ Revision: 334304
- fix desktop files
- imported package shotgun

